From: Stefano Zacchiroli <zack@upsilon.cc>
Date: Tue, 2 Nov 2010 11:09:13 +0100
Subject: [PATCH] Various build-process fixes to for Debian packaging

- proper distclean vs maintainer-clean target distinction
- install without failing when ocamlopt is not available

Signed-off-by: Stefano Zacchiroli <zack@upsilon.cc>
Signed-off-by: Stephane Glondu <steph@glondu.net>
---
 Makefile.in | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/Makefile.in b/Makefile.in
index 4df223d..125f476 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -19,8 +19,8 @@ NAME := camlbz2
 SHORTNAME := bz2
 VERSION := 0.6.0
 
-INSTALLFILES := $(SHORTNAME).cmi $(SHORTNAME).cmx $(SHORTNAME).mli \
-	$(SHORTNAME).a $(SHORTNAME).cma $(SHORTNAME).cmxa \
+INSTALLFILES := \
+	$(SHORTNAME).cmi $(SHORTNAME).mli $(SHORTNAME).cma \
 	dll$(NAME).so lib$(NAME).a
 
 DISTSRC := $(SHORTNAME).ml $(SHORTNAME).mli \
@@ -35,6 +35,7 @@ DESTDIR =
 ifndef OCAMLOPT
 all : stub lib
 else
+INSTALLFILES += $(SHORTNAME).cmx $(SHORTNAME).cmxa $(SHORTNAME).a
 all : stub lib libopt
 endif
 
@@ -86,10 +87,12 @@ findlib-install: all
 		$(SHORTNAME) META $(INSTALLFILES)
 
 clean:
-	rm -f *.cm* *.a *.so *.o *.opt test test.opt
+	rm -f *.cm* *.a *.so *.o *.opt test test.opt .depend
 distclean: clean
-	rm -rf .depend Makefile aclocal.m4 autom4te.cache/ doc/
-	rm -f config.log config.status configure
+	rm -f config.log config.status Makefile
+maintainer-clean: distclean
+	rm -rf aclocal.m4 doc/
+	rm -f aclocal.m4 configure
 
 ifdef OCAMLDOC
 doc : doc/index.html
